%define name youtube-dl-gui
%define version 0.2.5
%define release %mkrel 1

Summary:    	Graphical downloader for Youtube
Name:       	%{name}
Version:    	%{version}
Release:    	%{release}
Group:      	Video
License:    	GPL
URL:        	https://code.google.com/p/youtube-dl-gui/
Source:     	https://code.google.com/p/youtube-dl-gui/%{name}-%{version}.tar.xz
Patch:          youtube-dl-gui-0.2.5-linux-import.patch
BuildArch:      noarch
BuildRoot:  	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: 	%name < %version
Requires:       python-pubsub
Requires:       wxPythonGTK


%description
Simple graphical downloader for Youtube writtem in python.

%prep

%setup -n %{name}-%{version}
%patch -p1

%install


rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/.%{name}/
cp -af * %{buildroot}/%{_datadir}/.%{name}/

#icons
mkdir -p %buildroot/%_miconsdir \
         %buildroot/%_liconsdir \
         %buildroot/%_iconsdir
cp -af youtube-icon.png %buildroot/
convert youtube-icon.png -resize 16x16 %buildroot/%{_miconsdir}/%{name}.png
convert youtube-icon.png -resize 32x32 %buildroot/%{_iconsdir}/%{name}.png
convert youtube-icon.png -resize 48x48 %buildroot/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -af %buildroot/%{_liconsdir}/%{name}.png %{buildroot}/%{_datadir}/pixmaps/

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd /home/*/.youtube-dl-gui
python youtube-dl-gui.py
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Youtube Downloader
GenericName=Youtube Downloader
Comment=Download vids from Youtube 
Exec=%{name}
Icon=%_datadir/pixmaps/%{name}.png
Terminal=0
Type=Application
Categories=AudioVideo;Player;X-MandrivaLinux-Multimedia-Video;
EOF
rm -rf %{buildroot}/youtube-icon.png

%clean
rm -rf %{buildroot}


%post
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do
mv /usr/share/.youtube-dl-gui /home/$idx/
chown -R $idx: /home/$idx/.youtube-dl-gui
done
%update_menus



%postun
rm -rf /home/*/.youtube-dl-gui
%clean_menus

%files
%defattr(-,root,root,0755)
%_bindir/%{name}
%{_datadir}/.%{name}/*
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Sep 17 2012 Neal <nealbrks0 at gmail dot com> 0.2.5-1pclos2012
- process

* Sun Sep 16 2012 Ken <lxgator@gmail.com> 0.2.5-1pclos2012
- first build
